// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : test.c
// Author        : xianfeng.du
// Created On    : 2022-11-25
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#include <stddef.h>
#include <string.h>
#include <sys/time.h>
#include <unistd.h>

#include "typedef.h"
#include "ucp_printf.h"
#include "msg_transfer_mem.h"
#include "ecs_sm_mgt.h"
#include "ucp_handshake.h"
#include "ospShell.h"
#include "stc_drv.h"
#include "ospLog.h"
#include "osp_cfg_to_bin.h"

#include "ucp_api_jesd.h"
#include "ucp_api_transceiver.h"

int32_t test_case(uint32_t argc, int32_t* argvp)
{
	UCP_PRINT_DEBUG("start running testcase 40.");
	
	UCP_PRINT_DEBUG("start monitor temperature and lock status.");

	while (1)
	{
		UCP_API_TRANSCEIVER_getTemperature();
		UCP_API_TRANSCEIVER_getLockStatus();

		sleep(2);
	}
	
    return 0;
}

